#### D.4.18.8 radicalMon

Procedure from library `monomialideal.lib` (see monomialideal_lib).

Usage:
  radicalMon(I); I ideal

Return:
  an ideal, the radical ideal of the ideal I.
  (returns -1 if I is not a monomial ideal)

Assume:
  I is a monomial ideal of the basering.

Note:
  the minimal monomial generating set is returned.

Example:

    LIB "monomialideal.lib";
    ring R = 0,(w,x,y,z,t),lp;
    ideal I = w^3*x*y,w*x*y*z*t,x^2*y^2*z^2,x^2*z^4*t^3,y^3*z;
    radicalMon(I);
    ==> _[1]=yz
    ==> _[2]=xzt
    ==> _[3]=wxy

User manual for Singular version 4.4.1, 2025, generated by texi2html.